org.apache.geode.cache

## Class CacheLoaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.OperationAbortedException
            - - org.apache.geode.cache.CacheLoaderException

- All Implemented Interfaces:
    java.io.Serializable

      public class CacheLoaderException
      extends OperationAbortedException

  Thrown from the `CacheLoader.load(org.apache.geode.cache.LoaderHelper<K, V>)` method indicating that an error occurred when a CacheLoader was attempting to load a value. This exception is propagated back to the caller of `Region.get`.
  Since:
    GemFire 3.0
  See Also:
    `Region.get(Object)`, `CacheLoader.load(org.apache.geode.cache.LoaderHelper<K, V>)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheLoaderException()` Creates a new instance of `CacheLoaderException`.
    `CacheLoaderException(java.lang.String msg)` Constructs an instance of `CacheLoaderException` with the specified detail message.
    `CacheLoaderException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `CacheLoaderException` with the specified detail message and cause.
    `CacheLoaderException(java.lang.Throwable cause)` Constructs an instance of `CacheLoaderException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheLoaderException

          public CacheLoaderException()

      Creates a new instance of `CacheLoaderException`.

    - #### CacheLoaderException

          public CacheLoaderException(java.lang.String msg)

      Constructs an instance of `CacheLoaderException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### CacheLoaderException

          public CacheLoaderException(java.lang.String msg,
                                      java.lang.Throwable cause)

      Constructs an instance of `CacheLoaderException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### CacheLoaderException

          public CacheLoaderException(java.lang.Throwable cause)

      Constructs an instance of `CacheLoaderException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable